> For the complete documentation index, see [llms.txt](https://docs.wise-scripts.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wise-scripts.vip/scripts/wise-faction/example-configs/gangwar.md).

# Gangwar

{% code lineNumbers="true" %}

```lua
Config.Gangwar = {
	SpawnOnFactionPos = false, -- Spawn on the Factions Position (on death or joining)
	UseOwnLoadout = false,    -- Uses the own Loadout for the Gangwar
	Weapons = {               -- The Weapons that you receive in the Gangwar if UseOwnLoadout = false
		"weapon_assaultrifle",
		"weapon_revolver",
		"weapon_musket"
	},
	RespawnTime = 5,
	Time = 5,           -- The duration of the Gangwar (in Minutes)
	MaxPoints = 2,     -- Maximum Points that the Gangwar stops
	MaxMembersOnline = 0, -- Max Online Members to start a Gangwar
	Points = {
		Kill = 1,          -- Points per Kill
		CaptureFlag = 3,   -- Points for each Flag capture
		Suicide = -3,      -- Points for Suicide
		KillOutZone = -5,  -- Points for Kill out of the Gangwar Zone
		TeamKill = -2      -- Points for a TeamKill
	},
	Rewards = {
		items = { -- Item Rewards for winning the Gangwar (saved in Warehouse)
			{ label = "Fish", name = "fish", amount = 100, type = "item" }
		},
		XP = 50000 -- XP for winning the Gangwar
	},

	ShowZonesForEveryone = true,
	
	Zones = {
		-- All Gangwar Zones
		["TESTAREA"] = {
			pos = vector3(1122.3441, 94.5993, 81.0037), -- Position of the Zone
			spawnpoints = {
				defender = vector3(1067.5055, 132.9569, 82.1907), --Spawnpoint for the Defender
				attacker = vector3(1194.1893, 59.8264, 82.1245) -- Spawnpoint for the Attacker
			},
			radius = 200 -- Size/Radius of the Zone
		},
		["VAGOS"] = {
			pos = vector3(960.2690, -1743.1628, 31.1402),    -- Position of the Zone
			spawnpoints = {
				defender = vector3(962.3804, -1713.0392, 30.3955), -- Spawnpoint for the Defender
				attacker = vector3(961.0892, -1730.8610, 30.9457) -- Spawnpoint for the Attacker
			},
			radius = 100 -- Size/Radius of the Zone
		},
		["Bloods"] = {
			pos = vector3(934.6163, -1348.3361, 12.3806),    -- Position of the Zone
			spawnpoints = {
				defender = vector3(962.3804, -1713.0392, 30.3955), -- Spawnpoint for the Defender
				attacker = vector3(961.0892, -1730.8610, 30.9457) -- Spawnpoint for the Attacker
			},
			radius = 100 -- Size/Radius of the Zone
		}
	}
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wise-scripts.vip/scripts/wise-faction/example-configs/gangwar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
